## Version Version — Version checking |

## Functions

#define | RETRO_GTK_ENCODE_VERSION()
#define | RETRO_GTK_CHECK_VERSION()

## Types and Values

#define | RETRO_GTK_MAJOR_VERSION
#define | RETRO_GTK_MINOR_VERSION
#define | RETRO_GTK_MICRO_VERSION
#define | RETRO_GTK_VERSION
#define | RETRO_GTK_VERSION_S
#define | RETRO_GTK_VERSION_HEX

## Includes

    #include <retro-gtk/retro-gtk.h>

## Description

## Functions

### RETRO_GTK_ENCODE_VERSION()

    #define             RETRO_GTK_ENCODE_VERSION(major,minor,micro)

### RETRO_GTK_CHECK_VERSION()

    #define             RETRO_GTK_CHECK_VERSION(major,minor,micro)

Compile-time version checking. Evaluates to `TRUE` if the version of retro-gtk is greater than the required one.

#### Parameters

major | required major version |
minor | required minor version |
micro | required micro version |

## Types and Values

### RETRO_GTK_MAJOR_VERSION

    #define RETRO_GTK_MAJOR_VERSION (1)

retro-gtk major version component (e.g. 1 if `RETRO_GTK_VERSION` is 1.2.3)

### RETRO_GTK_MINOR_VERSION

    #define RETRO_GTK_MINOR_VERSION (0)

retro-gtk minor version component (e.g. 2 if `RETRO_GTK_VERSION` is 1.2.3)

### RETRO_GTK_MICRO_VERSION

    #define RETRO_GTK_MICRO_VERSION (2)

retro-gtk micro version component (e.g. 3 if `RETRO_GTK_VERSION` is 1.2.3)

### RETRO_GTK_VERSION

    #define RETRO_GTK_VERSION (1.0.2)

retro-gtk version.

### RETRO_GTK_VERSION_S

    #define RETRO_GTK_VERSION_S "1.0.2"

retro-gtk version, encoded as a string, useful for printing and concatenation.

### RETRO_GTK_VERSION_HEX

    #define             RETRO_GTK_VERSION_HEX

retro-gtk version, encoded as an hexadecimal number, useful for integer comparisons.